Name:		sigar
Version:	1.6.4
Release:	1%{?dist}
Summary:	SIGAR - System Information Gatherer And Reporter

Group:		Libraries
License:	ASL 2.0
URL:		http://sigar.hyperic.com/
Source0:	%{name}-%{version}.tbz2
#Source0:	http://prdownloads.sourceforge.net/sourceforge/%{name}/hyperic-%{name}-%{version}-src.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gcc cmake

#Requires:	

%description
The Sigar API provides a portable interface for gathering system
information such as:
- System memory, swap, CPU, load average, uptime, logins
- Per-process memory, CPU, credential info, state, arguments,
  environment, open files
- File system detection and metrics
- Network interface detection, configuration info and metrics
- Network route and connection tables

This information is available in most operating systems, but each OS
has their own way(s) providing it. SIGAR provides developers with one
API to access this information regardless of the underlying platform.

#The core API is implemented in pure C with bindings currently
#implemented for Java, Perl and C#.

%package devel 
License:	ASL 2.0
Group:		Development/Libraries
Summary:	SIGAR Development package - System Information Gatherer And Reporter
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for developing against the Sigar API

%prep
#setup -q -n hyperic-%{name}-%{version}-src
%setup -q -n %{name}-%{version}

%build

# Fix lib directory
sed -i.sed s:DESTINATION\ lib:DESTINATION\ %{_lib}: src/CMakeLists.txt

mkdir build
pushd build
%cmake ..
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%cmake ..
make install DESTDIR=$RPM_BUILD_ROOT
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_libdir}/libsigar.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/sigar*.h

%changelog
* Wed Dec 1 2010 Andrew Beekhof <andrew@beekhof.net> - 1.6.0-1
- Initial checkin
